> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /opensanctions/entities

> Get OpenSanctions (opensanctions.org) entity details by id or entity URL

**Price:** 5 credits

**⚠️ Common errors:** 412: Entity not found



## OpenAPI

````yaml /openapi/compliance-sanctions.json post /api/opensanctions/entities
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/opensanctions/entities:
    post:
      tags:
        - /opensanctions
      summary: /opensanctions/entities
      description: |-
        Get OpenSanctions (opensanctions.org) entity details by id or entity URL

        **Price:** 5 credits

        **⚠️ Common errors:** 412: Entity not found
      operationId: __api_opensanctions_entities_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpensanctionsEntitiesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OpensanctionsEntity'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OpensanctionsEntitiesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        entity:
          type: string
          minLength: 1
          pattern: >-
            ^(?:https?://[^\s]+|//[^\s]+|(?:www\.)?opensanctions\.org[^\s]*|[A-Za-z0-9][A-Za-z0-9._-]*)$
      type: object
      required:
        - entity
    OpensanctionsEntity:
      properties:
        '@type':
          type: string
          default: OpensanctionsEntity
        id:
          type: string
        caption:
          type: string
        schema:
          anyOf:
            - type: string
            - type: 'null'
        url:
          type: string
        topics:
          items:
            type: string
          type: array
          default: []
        names:
          items:
            type: string
          type: array
          default: []
        aliases:
          items:
            type: string
          type: array
          default: []
        descriptions:
          items:
            type: string
          type: array
          default: []
        birth_date:
          anyOf:
            - type: string
            - type: 'null'
        nationalities:
          items:
            type: string
          type: array
          default: []
        countries:
          items:
            type: string
          type: array
          default: []
        genders:
          items:
            type: string
          type: array
          default: []
        addresses:
          items:
            type: string
          type: array
          default: []
        positions:
          items:
            type: string
          type: array
          default: []
        properties:
          additionalProperties:
            items:
              type: string
            type: array
          type: object
          default: {}
        identifiers:
          items:
            $ref: '#/components/schemas/OpensanctionsIdentifier'
          type: array
          default: []
        datasets:
          items:
            $ref: '#/components/schemas/OpensanctionsDataset'
          type: array
          default: []
        relationships:
          items:
            $ref: '#/components/schemas/OpensanctionsRelationship'
          type: array
          default: []
      type: object
      required:
        - id
        - caption
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OpensanctionsIdentifier:
      properties:
        '@type':
          type: string
          default: OpensanctionsIdentifier
        type:
          type: string
        value:
          type: string
      type: object
      required:
        - type
        - value
    OpensanctionsDataset:
      properties:
        '@type':
          type: string
          default: OpensanctionsDataset
        name:
          type: string
        target_count:
          anyOf:
            - type: integer
            - type: 'null'
        summary:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    OpensanctionsRelationship:
      properties:
        '@type':
          type: string
          default: OpensanctionsRelationship
        id:
          type: string
        caption:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````